Cygport Reference Manual

### TABLE OF CONTENTS

- ninja.cygclass

- cygninja
- ninja_test
- ninja_install

## ninja.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit ninja

DESCRIPTION

Ninja is a build system with a focus on speed. It is designed to have its input files (named ninja.build) generated by a higher-level build system, such as CMake or Meson.

INHERITED BY

meson.cygclass

REQUIRES

ninja

## cygninja

[ Top ] [ ninja.cygclass ] [ Compile Functions ]

SYNOPSIS

      cygninja [OPTIONS]

DESCRIPTION

Runs 'ninja' with the given arguments.

## ninja_test

[ Top ] [ ninja.cygclass ] [ Testsuite Functions ]

DESCRIPTION

Runs the package's test suite with 'ninja check'. Any arguments to ninja_test are passed along. ninja_test must be run from the directory containing 'build.ninja'.

## ninja_install

[ Top ] [ ninja.cygclass ] [ Install Functions ]

DESCRIPTION

Installs the package into $D with 'ninja install'. Any arguments to ninja_install are passed along. ninja_install must be run from the directory containing 'build.ninja'.